[Frage] The package \"dbal\" depends on \"adodb\" Fehler bei Upgrade von 9.5 auf 10.4 TYPO3-Version: -

  • mimii mimii
    Jedi-Ratsmitglied
    0 x
    600 Beiträge
    1 Hilfreiche Beiträge
    24. 07. 2020, 16:04

    Hallo ins Forum,

    ich habe meine Installation zunächst von 8.7 auf 9.5 angehoben. Das läuft nun einwandfrei. Nun wollte ich den nächsten Schritt auf 10.4 machen. Dazu habe ich alle externen Extensions (gridelements, news, news_filter) deaktiviert und wollte dann über den Softwaremanager upgraden, was jedoch mit folgender Meldung quitiert wird und die Installation bleibt ann auf 9.5

    [ UnexpectedValueException ]The package \"dbal\" depends on \"adodb\" which is not present in the system. upgrade:run [-y|--confirm CONFIRM] [-d|--deny DENY] [-f|--force] [--force-row-updater FORCE-ROW-UPDATER] [--] <wizardIdentifier>
    Bitte prüfen Sie Ihre Installation und beheben Sie den Fehler. Danach können Sie das Update über den Versionsmanager erneut starten.

    Ich finde beim besten Willen kein package "dbal" oder ich suche irgendwo falsch. Hat jemand eine Idee was das ist, bzw. wo das liegt, ob es ggf. eine Altlast ist und wie die die los werde oder für 10.4 fit machen kann?

    Danke für einen Tipp und viele Grüße
    mimii


  • 1
  • Julian.Hofmann Julian.Ho...
    Flash Gordon
    0 x
    3079 Beiträge
    132 Hilfreiche Beiträge
    26. 07. 2020, 14:53

    Hallo mimii.

    EXT:dbal war war ein Database Abstaction Layer für TYPO3:
    https://extensions.typo3.org/extension/dbal/
    Seit TYPO3v8 ist hierfür Doctrine im Core integriert, d.h. dbal überflüssig (und auch keine Version mehr verfügbar, die in TYPO3 v9 installierbar wäre).

    Soweit der Hintergrund. Nun musst Du mal schauen, welche Extension hier eine Abhängigkeit zu dbal hat, udn diese Extension erstmal rausnehmenoder auf neuere Version aktualisieren (die keine Abhängikeit mehr haben sollte).

    Viele Grüße
    Julian

  • 1